IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/48
Addresses2^80
/64 networks65,536
- Network
3c19:c25c:af::/48- First address
3c19:c25c:af::- Last address
3c19:c25c:af:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,208,925,819,614,629,174,706,176 (2^80)
- /64 networks (LANs)
- 65,536
- Full form
3c19:c25c:00af:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
f.a.0.0.c.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25c:af::/48 makes 256 subnets of /56.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25c:af::/56 | 3c19:c25c:af:ff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25c:af:100::/56 | 3c19:c25c:af:1ff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25c:af:200::/56 | 3c19:c25c:af:2ff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25c:af:300::/56 | 3c19:c25c:af:3ff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25c:af:400::/56 | 3c19:c25c:af:4ff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25c:af:500::/56 | 3c19:c25c:af:5ff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25c:af:600::/56 | 3c19:c25c:af:6ff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25c:af:700::/56 | 3c19:c25c:af:7ff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25c:af:800::/56 | 3c19:c25c:af:8ff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25c:af:900::/56 | 3c19:c25c:af:9ff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25c:af:a00::/56 | 3c19:c25c:af:aff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25c:af:b00::/56 | 3c19:c25c:af:bff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25c:af:c00::/56 | 3c19:c25c:af:cff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25c:af:d00::/56 | 3c19:c25c:af:dff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25c:af:e00::/56 | 3c19:c25c:af:eff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25c:af:f00::/56 | 3c19:c25c:af:fff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25c:af:1000::/56 | 3c19:c25c:af:10ff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25c:af:1100::/56 | 3c19:c25c:af:11ff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25c:af:1200::/56 | 3c19:c25c:af:12ff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25c:af:1300::/56 | 3c19:c25c:af:13ff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25c:af:1400::/56 | 3c19:c25c:af:14ff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25c:af:1500::/56 | 3c19:c25c:af:15ff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25c:af:1600::/56 | 3c19:c25c:af:16ff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25c:af:1700::/56 | 3c19:c25c:af:17ff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25c:af:1800::/56 | 3c19:c25c:af:18ff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25c:af:1900::/56 | 3c19:c25c:af:19ff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25c:af:1a00::/56 | 3c19:c25c:af:1aff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25c:af:1b00::/56 | 3c19:c25c:af:1bff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25c:af:1c00::/56 | 3c19:c25c:af:1cff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25c:af:1d00::/56 | 3c19:c25c:af:1dff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25c:af:1e00::/56 | 3c19:c25c:af:1eff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25c:af:1f00::/56 | 3c19:c25c:af:1fff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25c:af:2000::/56 | 3c19:c25c:af:20ff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25c:af:2100::/56 | 3c19:c25c:af:21ff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25c:af:2200::/56 | 3c19:c25c:af:22ff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25c:af:2300::/56 | 3c19:c25c:af:23ff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25c:af:2400::/56 | 3c19:c25c:af:24ff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25c:af:2500::/56 | 3c19:c25c:af:25ff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25c:af:2600::/56 | 3c19:c25c:af:26ff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25c:af:2700::/56 | 3c19:c25c:af:27ff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25c:af:2800::/56 | 3c19:c25c:af:28ff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25c:af:2900::/56 | 3c19:c25c:af:29ff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25c:af:2a00::/56 | 3c19:c25c:af:2aff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25c:af:2b00::/56 | 3c19:c25c:af:2bff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25c:af:2c00::/56 | 3c19:c25c:af:2cff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25c:af:2d00::/56 | 3c19:c25c:af:2dff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25c:af:2e00::/56 | 3c19:c25c:af:2eff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25c:af:2f00::/56 | 3c19:c25c:af:2fff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25c:af:3000::/56 | 3c19:c25c:af:30ff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25c:af:3100::/56 | 3c19:c25c:af:31ff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25c:af:3200::/56 | 3c19:c25c:af:32ff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25c:af:3300::/56 | 3c19:c25c:af:33ff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25c:af:3400::/56 | 3c19:c25c:af:34ff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25c:af:3500::/56 | 3c19:c25c:af:35ff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25c:af:3600::/56 | 3c19:c25c:af:36ff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25c:af:3700::/56 | 3c19:c25c:af:37ff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25c:af:3800::/56 | 3c19:c25c:af:38ff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25c:af:3900::/56 | 3c19:c25c:af:39ff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25c:af:3a00::/56 | 3c19:c25c:af:3aff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25c:af:3b00::/56 | 3c19:c25c:af:3bff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25c:af:3c00::/56 | 3c19:c25c:af:3cff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25c:af:3d00::/56 | 3c19:c25c:af:3dff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25c:af:3e00::/56 | 3c19:c25c:af:3eff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25c:af:3f00::/56 | 3c19:c25c:af:3fff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25c:af:4000::/56 | 3c19:c25c:af:40ff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25c:af:4100::/56 | 3c19:c25c:af:41ff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25c:af:4200::/56 | 3c19:c25c:af:42ff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25c:af:4300::/56 | 3c19:c25c:af:43ff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25c:af:4400::/56 | 3c19:c25c:af:44ff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25c:af:4500::/56 | 3c19:c25c:af:45ff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25c:af:4600::/56 | 3c19:c25c:af:46ff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25c:af:4700::/56 | 3c19:c25c:af:47ff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25c:af:4800::/56 | 3c19:c25c:af:48ff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25c:af:4900::/56 | 3c19:c25c:af:49ff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25c:af:4a00::/56 | 3c19:c25c:af:4aff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25c:af:4b00::/56 | 3c19:c25c:af:4bff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25c:af:4c00::/56 | 3c19:c25c:af:4cff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25c:af:4d00::/56 | 3c19:c25c:af:4dff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25c:af:4e00::/56 | 3c19:c25c:af:4eff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25c:af:4f00::/56 | 3c19:c25c:af:4fff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25c:af:5000::/56 | 3c19:c25c:af:50ff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25c:af:5100::/56 | 3c19:c25c:af:51ff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25c:af:5200::/56 | 3c19:c25c:af:52ff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25c:af:5300::/56 | 3c19:c25c:af:53ff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25c:af:5400::/56 | 3c19:c25c:af:54ff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25c:af:5500::/56 | 3c19:c25c:af:55ff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25c:af:5600::/56 | 3c19:c25c:af:56ff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25c:af:5700::/56 | 3c19:c25c:af:57ff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25c:af:5800::/56 | 3c19:c25c:af:58ff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25c:af:5900::/56 | 3c19:c25c:af:59ff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25c:af:5a00::/56 | 3c19:c25c:af:5aff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25c:af:5b00::/56 | 3c19:c25c:af:5bff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25c:af:5c00::/56 | 3c19:c25c:af:5cff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25c:af:5d00::/56 | 3c19:c25c:af:5dff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25c:af:5e00::/56 | 3c19:c25c:af:5eff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25c:af:5f00::/56 | 3c19:c25c:af:5fff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25c:af:6000::/56 | 3c19:c25c:af:60ff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25c:af:6100::/56 | 3c19:c25c:af:61ff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25c:af:6200::/56 | 3c19:c25c:af:62ff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25c:af:6300::/56 | 3c19:c25c:af:63ff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25c:af:6400::/56 | 3c19:c25c:af:64ff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25c:af:6500::/56 | 3c19:c25c:af:65ff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25c:af:6600::/56 | 3c19:c25c:af:66ff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25c:af:6700::/56 | 3c19:c25c:af:67ff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25c:af:6800::/56 | 3c19:c25c:af:68ff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25c:af:6900::/56 | 3c19:c25c:af:69ff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25c:af:6a00::/56 | 3c19:c25c:af:6aff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25c:af:6b00::/56 | 3c19:c25c:af:6bff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25c:af:6c00::/56 | 3c19:c25c:af:6cff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25c:af:6d00::/56 | 3c19:c25c:af:6dff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25c:af:6e00::/56 | 3c19:c25c:af:6eff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25c:af:6f00::/56 | 3c19:c25c:af:6fff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25c:af:7000::/56 | 3c19:c25c:af:70ff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25c:af:7100::/56 | 3c19:c25c:af:71ff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25c:af:7200::/56 | 3c19:c25c:af:72ff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25c:af:7300::/56 | 3c19:c25c:af:73ff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25c:af:7400::/56 | 3c19:c25c:af:74ff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25c:af:7500::/56 | 3c19:c25c:af:75ff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25c:af:7600::/56 | 3c19:c25c:af:76ff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25c:af:7700::/56 | 3c19:c25c:af:77ff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25c:af:7800::/56 | 3c19:c25c:af:78ff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25c:af:7900::/56 | 3c19:c25c:af:79ff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25c:af:7a00::/56 | 3c19:c25c:af:7aff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25c:af:7b00::/56 | 3c19:c25c:af:7bff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25c:af:7c00::/56 | 3c19:c25c:af:7cff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25c:af:7d00::/56 | 3c19:c25c:af:7dff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25c:af:7e00::/56 | 3c19:c25c:af:7eff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25c:af:7f00::/56 | 3c19:c25c:af:7fff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25c:af:8000::/56 | 3c19:c25c:af:80ff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25c:af:8100::/56 | 3c19:c25c:af:81ff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25c:af:8200::/56 | 3c19:c25c:af:82ff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25c:af:8300::/56 | 3c19:c25c:af:83ff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25c:af:8400::/56 | 3c19:c25c:af:84ff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25c:af:8500::/56 | 3c19:c25c:af:85ff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25c:af:8600::/56 | 3c19:c25c:af:86ff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25c:af:8700::/56 | 3c19:c25c:af:87ff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25c:af:8800::/56 | 3c19:c25c:af:88ff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25c:af:8900::/56 | 3c19:c25c:af:89ff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25c:af:8a00::/56 | 3c19:c25c:af:8aff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25c:af:8b00::/56 | 3c19:c25c:af:8bff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25c:af:8c00::/56 | 3c19:c25c:af:8cff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25c:af:8d00::/56 | 3c19:c25c:af:8dff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25c:af:8e00::/56 | 3c19:c25c:af:8eff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25c:af:8f00::/56 | 3c19:c25c:af:8fff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25c:af:9000::/56 | 3c19:c25c:af:90ff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25c:af:9100::/56 | 3c19:c25c:af:91ff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25c:af:9200::/56 | 3c19:c25c:af:92ff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25c:af:9300::/56 | 3c19:c25c:af:93ff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25c:af:9400::/56 | 3c19:c25c:af:94ff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25c:af:9500::/56 | 3c19:c25c:af:95ff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25c:af:9600::/56 | 3c19:c25c:af:96ff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25c:af:9700::/56 | 3c19:c25c:af:97ff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25c:af:9800::/56 | 3c19:c25c:af:98ff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25c:af:9900::/56 | 3c19:c25c:af:99ff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25c:af:9a00::/56 | 3c19:c25c:af:9aff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25c:af:9b00::/56 | 3c19:c25c:af:9bff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25c:af:9c00::/56 | 3c19:c25c:af:9cff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25c:af:9d00::/56 | 3c19:c25c:af:9dff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25c:af:9e00::/56 | 3c19:c25c:af:9eff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25c:af:9f00::/56 | 3c19:c25c:af:9fff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25c:af:a000::/56 | 3c19:c25c:af:a0ff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25c:af:a100::/56 | 3c19:c25c:af:a1ff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25c:af:a200::/56 | 3c19:c25c:af:a2ff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25c:af:a300::/56 | 3c19:c25c:af:a3ff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25c:af:a400::/56 | 3c19:c25c:af:a4ff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25c:af:a500::/56 | 3c19:c25c:af:a5ff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25c:af:a600::/56 | 3c19:c25c:af:a6ff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25c:af:a700::/56 | 3c19:c25c:af:a7ff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25c:af:a800::/56 | 3c19:c25c:af:a8ff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25c:af:a900::/56 | 3c19:c25c:af:a9ff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25c:af:aa00::/56 | 3c19:c25c:af:aaff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25c:af:ab00::/56 | 3c19:c25c:af:abff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25c:af:ac00::/56 | 3c19:c25c:af:acff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25c:af:ad00::/56 | 3c19:c25c:af:adff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25c:af:ae00::/56 | 3c19:c25c:af:aeff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25c:af:af00::/56 | 3c19:c25c:af:afff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25c:af:b000::/56 | 3c19:c25c:af:b0ff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25c:af:b100::/56 | 3c19:c25c:af:b1ff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25c:af:b200::/56 | 3c19:c25c:af:b2ff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25c:af:b300::/56 | 3c19:c25c:af:b3ff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25c:af:b400::/56 | 3c19:c25c:af:b4ff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25c:af:b500::/56 | 3c19:c25c:af:b5ff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25c:af:b600::/56 | 3c19:c25c:af:b6ff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25c:af:b700::/56 | 3c19:c25c:af:b7ff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25c:af:b800::/56 | 3c19:c25c:af:b8ff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25c:af:b900::/56 | 3c19:c25c:af:b9ff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25c:af:ba00::/56 | 3c19:c25c:af:baff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25c:af:bb00::/56 | 3c19:c25c:af:bbff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25c:af:bc00::/56 | 3c19:c25c:af:bcff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25c:af:bd00::/56 | 3c19:c25c:af:bdff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25c:af:be00::/56 | 3c19:c25c:af:beff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25c:af:bf00::/56 | 3c19:c25c:af:bfff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25c:af:c000::/56 | 3c19:c25c:af:c0ff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25c:af:c100::/56 | 3c19:c25c:af:c1ff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25c:af:c200::/56 | 3c19:c25c:af:c2ff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25c:af:c300::/56 | 3c19:c25c:af:c3ff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25c:af:c400::/56 | 3c19:c25c:af:c4ff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25c:af:c500::/56 | 3c19:c25c:af:c5ff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25c:af:c600::/56 | 3c19:c25c:af:c6ff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25c:af:c700::/56 | 3c19:c25c:af:c7ff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25c:af:c800::/56 | 3c19:c25c:af:c8ff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25c:af:c900::/56 | 3c19:c25c:af:c9ff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25c:af:ca00::/56 | 3c19:c25c:af:caff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25c:af:cb00::/56 | 3c19:c25c:af:cbff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25c:af:cc00::/56 | 3c19:c25c:af:ccff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25c:af:cd00::/56 | 3c19:c25c:af:cdff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25c:af:ce00::/56 | 3c19:c25c:af:ceff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25c:af:cf00::/56 | 3c19:c25c:af:cfff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25c:af:d000::/56 | 3c19:c25c:af:d0ff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25c:af:d100::/56 | 3c19:c25c:af:d1ff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25c:af:d200::/56 | 3c19:c25c:af:d2ff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25c:af:d300::/56 | 3c19:c25c:af:d3ff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25c:af:d400::/56 | 3c19:c25c:af:d4ff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25c:af:d500::/56 | 3c19:c25c:af:d5ff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25c:af:d600::/56 | 3c19:c25c:af:d6ff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25c:af:d700::/56 | 3c19:c25c:af:d7ff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25c:af:d800::/56 | 3c19:c25c:af:d8ff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25c:af:d900::/56 | 3c19:c25c:af:d9ff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25c:af:da00::/56 | 3c19:c25c:af:daff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25c:af:db00::/56 | 3c19:c25c:af:dbff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25c:af:dc00::/56 | 3c19:c25c:af:dcff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25c:af:dd00::/56 | 3c19:c25c:af:ddff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25c:af:de00::/56 | 3c19:c25c:af:deff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25c:af:df00::/56 | 3c19:c25c:af:dfff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25c:af:e000::/56 | 3c19:c25c:af:e0ff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25c:af:e100::/56 | 3c19:c25c:af:e1ff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25c:af:e200::/56 | 3c19:c25c:af:e2ff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25c:af:e300::/56 | 3c19:c25c:af:e3ff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25c:af:e400::/56 | 3c19:c25c:af:e4ff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25c:af:e500::/56 | 3c19:c25c:af:e5ff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25c:af:e600::/56 | 3c19:c25c:af:e6ff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25c:af:e700::/56 | 3c19:c25c:af:e7ff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25c:af:e800::/56 | 3c19:c25c:af:e8ff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25c:af:e900::/56 | 3c19:c25c:af:e9ff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25c:af:ea00::/56 | 3c19:c25c:af:eaff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25c:af:eb00::/56 | 3c19:c25c:af:ebff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25c:af:ec00::/56 | 3c19:c25c:af:ecff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25c:af:ed00::/56 | 3c19:c25c:af:edff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25c:af:ee00::/56 | 3c19:c25c:af:eeff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25c:af:ef00::/56 | 3c19:c25c:af:efff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25c:af:f000::/56 | 3c19:c25c:af:f0ff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25c:af:f100::/56 | 3c19:c25c:af:f1ff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25c:af:f200::/56 | 3c19:c25c:af:f2ff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25c:af:f300::/56 | 3c19:c25c:af:f3ff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25c:af:f400::/56 | 3c19:c25c:af:f4ff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25c:af:f500::/56 | 3c19:c25c:af:f5ff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25c:af:f600::/56 | 3c19:c25c:af:f6ff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25c:af:f700::/56 | 3c19:c25c:af:f7ff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25c:af:f800::/56 | 3c19:c25c:af:f8ff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25c:af:f900::/56 | 3c19:c25c:af:f9ff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25c:af:fa00::/56 | 3c19:c25c:af:faff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25c:af:fb00::/56 | 3c19:c25c:af:fbff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25c:af:fc00::/56 | 3c19:c25c:af:fcff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25c:af:fd00::/56 | 3c19:c25c:af:fdff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25c:af:fe00::/56 | 3c19:c25c:af:feff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25c:af:ff00::/56 | 3c19:c25c:af:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |